<?php

class WPV_Gmap {
	public function __construct() {
		add_shortcode('gmap', array(__CLASS__, 'shortcode'));
	}

	public static function shortcode($atts, $content = null, $code = 'gmap') {
		extract(shortcode_atts(array(
			"width" => false,
			"height" => '400',
			"address" => '',
			"latitude" => 0,
			"longitude" => 0,
			"zoom" => 14,
			"html" => '',
			"popup" => 'false',
			"controls" => '[]',
			"scrollwheel" => 'true',
			"maptype" => 'ROADMAP',
			"marker" => 'true',
			'align' => false,
			'hue' => '',
			'invert_lightness' => 'false',
		), $atts));

		$width = ($width && is_numeric($width)) ? 'width:'.$width.'px;' : '';
		$height = ($height && is_numeric($height)) ? 'height:'.$height.'px;' : '';
		$align = $align ? ' align'.$align : '';
		$id = rand(100,1000);
		$inline_html = $html;

		if(empty($controls)) {
			$controls = '[]';
		}

		if(empty($latitude)) {
			$latitude = 0;
		}

		if(empty($longitude)) {
			$longitude = 0;
		}

		if(!empty($hue)) {
			$hue = ','.json_encode(array(
				'hue' => wpv_sanitize_accent($hue),
			));
		}

		ob_start();

		include locate_template( 'templates/shortcodes/gmap.php' );

		return ob_get_clean();
	}
}

new WPV_Gmap;
